/* RESET */
a {
    text-decoration: none;
}
a:hover, a:active, a:focus {
  /* styling for any way a link is about to be used */
}

.mejs-controls .mejs-button button:focus {
    outline:0 !important;
}

*:focus {
    outline: none !important;
}

input::-moz-focus-inner { 
  border: 0; 
}


body {
    margin: 0;
    color: white;
    font-family: 'Roboto', sans-serif;
    font-size: 0.95em;
}

#background_image {
    overflow: hidden;
    background-size: cover;
    background-position: center;
    background-image:url('/images/blank.png');
    position:fixed;
    top:0;
    bottom:0;
    left:0;
    width:100%;
    height:100%;
    opacity: 0.12;
    z-index: -1;
    -webkit-transform: translateZ(0);
    -webkit-filter: blur(8px);
    -moz-filter: blur(8px);
    -o-filter: blur(8px);
    -ms-filter: blur(8px);
    filter: blur(8px);
}

#background_color {
    min-height:auto;
    background-color: #242424;
    position:fixed;
    z-index:-2;
    top:0;
    left:0;
    width:100%;
    height:100%;
}

#fade_bg {
	display:none;
	z-index:90;
}

h1 {
    margin:0;
}

#error_msg {
    display:none;
	width:80%;
	margin-left:auto;
	margin-right:auto;
	margin-top:100px;
	text-align:center;
}

p {
	padding-bottom: 15px;
	margin: 0;
}
#desc {
    padding-bottom:26px;
}
#container {
	background-color:#101010;
	height: 690px;
	width: 400px;
	position: relative;
    overflow: hidden;
}

.mainimg {
	width: 100%;
	height: 242px;
	-webkit-background-size: cover !important;
	-moz-background-size: cover !important;
	-o-background-size: cover !important;
	background-size: cover !important;
	pointer-events:none;
}
#mainimg_next {
	position:absolute;
	top:-242px;
	pointer-events:none;
}
#mainimg_first {
	top:0;
	position:absolute;
}
#mainimg_anim {
	position:relative;
}
 #next_prompt {
	width: 100%;
	padding-top:40px;
	padding-bottom:28px;
	position:absolute;
	bottom:0px;
	text-align: center;
	background: url(images/shadow_harsh.png);
	pointer-events:none;
	font-size:1.1em;
	text-transform:uppercase;
     -webkit-transform: translateZ(0);
	
}
 #next_prompt_time {
     text-transform: uppercase;
 }
#mainimg_container {
	width: 100%;
	height: 242px;
	position: relative;
	overflow: hidden;
}
#mainimg_shadow {
	background: url(images/shadow.png);
	width: 100%;
	height: 121px;
	position: absolute;
	bottom: -1px;
	pointer-events:none;
}
#mainimg_info {
	position: absolute;
	width: 100%;
}
h1 {
	background-color: #e1075e;
	font-family: 'Nunito', sans-serif;
	font-weight: 200;
	padding: 3px;
	padding-left: 15px;
	padding-right: 10px;
	font-size: 1.1em;
}
#inner_container {
	margin-left: auto;
	margin-right: auto;
}
.profile_text {
	width: 100%;
	float: right;
}
#current_profile {
	margin-top: 32px;
    padding: 0 15px;
}
#onair {
    margin-right: 20px;
    position: relative;
    display: inline-block;
    width: auto;
	text-transform: uppercase;
}
#onair_info {
    position: absolute;
    bottom: -15px;
}
#time {
    position: relative;
    width: auto;
    display: inline-block;
    margin-bottom:8px;
}
#time_insert {
	text-transform: uppercase;
}
#header {
	width: 100%;
	padding: 20px;
    height:44px;
    background-color:#1a1717;
    box-shadow: -1px 4px 6px 0px rgba(0, 0, 0, 0.48);
    z-index:10;
    position:relative;
}
#play_btn {
	float: right;
	margin-top: 0px;
	margin-right: 100px;
	cursor: pointer;
}
#footer {
	width: 93%;
	border-top: 1px solid #767676;
    color: #9c9c9c;
	margin-left: auto;
	margin-right: auto;
	position: absolute;
	bottom: 0px;
	left: 12px;
	padding-top: 8px;
    padding-bottom:8px;
	font-size: 0.78em;
}

.footer_logo {
    position: absolute;
    top: 17px;
    right: 5px;
    fill: #9c9c9c;
    transition: fill 0.3s ease;
}

.footer_logo:hover {
    fill: #fff;
}

#footer a {
    color:#9c9c9c !important;
    transition: color 0.3s ease;
}

#footer a:hover {
    color:#fff !important;
}


#footer p{
    width:100%;
    padding: 0;
}
#footer_small {
    font-size:0.93em;
}
#footer_logos {
    display:inline-block;
    float:right;
    margin-top: -10px;
}
#social_links {
	line-height: 1.5em;
}
a {
	color: #e1075e;
}
#next_pic {
	position: absolute;
	top: -100px;
}
#next_text {
	position: absolute;
	z-index: 100;
	left: 14px;
	width: 134px;
	text-align: center;
}

#social_container {
    width:101%;
    background-color:#2b2b2b;
    padding:10px;
    margin-left:-12px;
    padding-top:15px;
    margin-top:-8px;
    padding-bottom:0px !important;
}

.social_btn {
    float:right;
    display:inline-block;
}

#custom_player_btn {
    box-shadow: 2px 1px 6px 0px rgba(0, 0, 0, 0.25);
    border-radius: 50%;
    width: 45px;
    height: 45px;
    margin-left:2px;
    background-color: white;
    background-image: none !important;
    font-size:20pt;
}

#play_btn {
    pointer-events: none;
    display:none;
    color: #009fd3;
    font-size:2em;
    position:absolute;
    left:18.3px;
    top:18px;
}

#pause_btn {
    pointer-events: none;
    cursor:pointer;
    display:none;
    color:#009fd3;
    font-size:2em;
    position:absolute;
    left:15px;
    top:18px;
}
#load_btn {
    pointer-events: none;
    font-size:2em;
    position:absolute;
    left:12.3px;
    z-index:5;
    top:15.4px;
}

.circle_btn {
    float:right;
    display:inline-block;
    border-radius: 50%;
    width: 58px;
    height: 58px;
    background-color: #009fd3;
    color:white;
    box-shadow: 3px 2px 8px 0px rgba(0, 0, 0, 0.25);
    margin-bottom:12px;
    text-align: center;
}

.circle_btn:first-child{
    margin-right:10px;
}

.circle_btn i {
    position: relative;
    top: 12px;
    font-size:2.2em;
    text-align: center;
}
.circle_btn:hover{
    background-color: #009fd3;
    color: #e8e2e1 !important;
}
.circle_btn:active {
    background-color: #009fd3;
    color: #cfc9c8 !important;
    box-shadow: 2px 2px 3px 0px rgba(0, 0, 0, 0.25);
}

.fa-envelope{
    padding-left:12px !important;
}

#social_text {
    float:left;
    width:55%;
    padding-bottom:0 !important;
}

/* Styling for Message Post */
.message_container {
    position:absolute;
    background-color: white;
    z-index:98;
    margin-top:80px;
    width:320px;
    left:38px;
    color:black;
}
.message_container form textarea {
    width:300px;
    margin-left:10px;
    margin-top:10px;
    margin-bottom:10px;
    margin-right:auto;
    max-width:300px;
    font-family: 'Karla' sans-serif;
}

#submit_btn {
     border:none;
     font-size:1em;
     position:absolute;
     z-index:99;
     left:240px;
     top:155px;
     text-align: center;
 }

#submit_btn i {
    font-size:2.2em;
    margin-top: -10px;
    top: 1px;
    left: -2px;
}

#message_name {
    color: #7a7a7a;
    font-weight:bold;
    margin-left:11px;
    margin-top:8px;
}
#message_close {
    display: block;
    color: #e1075e;
    cursor: pointer;
    position: absolute;
    right: 6px;
    top: 8px;
    font-size: 20px;
}

#char_limit {
    color:black;
    margin-left:11px;
    margin-bottom:15px;
}

#fade_background {
    position:absolute;
    width:100%;
    height:100%;
    background-color:rgba(0, 0, 0, 0.75);
    z-index:97;
}

#success_container {
    display:none;
    padding:10px;
    left:28px;
    text-align:center;
}

/* Now Playing Song */
#now_playing_song {
    max-width:360px;
    position:relative;
    margin-top:10px;
    margin-bottom:10px;
}

#now_playing_song h1 {
    padding-left:30px;
    width:auto !important;
    display: inline-block;
    padding-right:30px;
}
.fa-spotify {
    margin-left:10px;
    color:white !important;
}
#now_playing_artist {
    font-size:0.9em;
}

#prev_playing_song {
    font-size:0.9em;
    max-width:370px;
    padding-left:10px;
}

#audio_playing_gif {
    max-height: 100%;
    max-width: 100%;
    width: auto;
    height: auto;
    position: absolute;
    top: 0;
    bottom: 0;
    left:8px;
    margin: auto;
}

/* Loading Styles */
#loader_fill {
    width:100%;
    height:100%;
    z-index:100;
    background-color: black;
    position:absolute;
    box-shadow: -1px 4px 6px 0px rgba(0, 0, 0, 0.48);
}



#loader_container {
    margin-top:180px;
    text-align:center;
    z-index:101;
    top:100px;
    height:200px;
}

#error_fill {
    width:100%;
    height:100%;
    top:-741px;
    z-index:10000;
    background-color: #d13f41;
    position:absolute;
    box-shadow: -1px 4px 6px 0px rgba(0, 0, 0, 0.48);
}

#error_container {
    margin-top:170px;
    text-align:center;
    color:white;
    text-align:center;
}

#error_container p {
    padding-left:50px;
    padding-right:50px;
}

#error_sadface {
    font-weight:200;
    font-size:4em;
}

/* background */

#background_image {
    overflow: hidden;
    background-size: cover;
    background-position: center;
    background-image:url('blank.png');
    min-height:auto;
}

/* Custom styles for MEJS player */
.audio-player {
	float: right;
	position: absolute;
	right: 60px;
	z-index: 9999;
	top: 14px;
}
.phone .audio-player {
    top:18px;
}
.mejs-controls, .mejs-container {
	background:none !important;
}
.mejs-controls .mejs-play button {

}
.mejs-controls .mejs-pause button {
	width: 45px;
	height: 45px;
    margin-left:2px;
	background: url('images/pause_btn2.png') 0 0 no-repeat;
}
.mejs-container .mejs-controls {
	background: none !important;
}

.mejs-controls .mejs-horizontal-volume-slider {
	position: absolute;
	top: 48px;
	left:10px;
	cursor: pointer;
    pointer-events: visiblePainted !important;
}

.mejs-controls a.mejs-horizontal-volume-slider {
    position:absolute;
}
.mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total {
    width: 39px;
    height: 5px;
 	background:#54807f;
    pointer-events: visiblePainted !important;
    
}
.mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current {
  background:white;
      height: 5px;
    pointer-events: visiblePainted !important;
}

.mejs-container .mejs-controls div {
    top: 46px;
    left: -39px;
}

.mejs-controls .mejs-mute button {
    background: transparent url('images/volume_normal.png');
    background-size: 95%;
    background-repeat: no-repeat;
}

.mejs-controls .mejs-unmute button {
    background: transparent url('images/volume_mute.png');
    background-size: 95%;
    background-repeat: no-repeat;
}

/* New Player Element */

.audio-button {
    box-shadow: 2px 1px 6px 0px rgba(0, 0, 0, 0.25);
    border-radius: 50%;
    width: 45px;
    height: 45px;
    background-color: white;
    background-image: none !important;
    font-size:20pt;
    color: #009fd3;
    text-align: center;
    cursor: pointer;
}

.audio-button .icon-play {
    vertical-align: bottom;
    position: absolute;
    top: 9px;
    left: 6px;
}

.audio-button .icon-stop {
    vertical-align: bottom;
    position: absolute;
    font-size: 17pt;
    top: 11px;
    left: 7px;
}

.audio-button .icon-spin4 {
    vertical-align: bottom;
    position: absolute;
    font-size: 20pt;
    top: 9px;
    left: 4px;
}


.audio-button:hover {
    background-color: #efefef;
}
.audio-button:active {
    background-color: #d7d7d7;
    box-shadow: 2px 1px 2px 0px rgba(0, 0, 0, 0.2);
}


.no-phone #volume {
    width:100%;
    margin-top:8px;
    background-color:white;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    height:4px;
}

.no-phone #volume .ui-slider-range-min {
    height:4px;
    width: 100%;
    position: absolute;
    background-color: #66a8d3;
    border-bottom-left-radius: 100px;
    border-top-left-radius: 100px;
    border: none;
    outline: none;
}

.no-phone #volume .ui-slider-handle {
    width: 10px;
    height: 10px;
    position: absolute;
    margin-top:-3px;
    margin-left: -5px;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    border-radius: 100%;
    background-color: #009fd3;
    cursor: pointer;
    outline: none;
    border: none;
}

/* New Song History */

#song_history {
    width: 100%;
    display: block;
    font-size: 0.95em;
}

#song_history .history_item {
    width: 100%;
    position: relative;
    display: inline-block;
    padding: 6px 15px;
    box-sizing: border-box;
    margin-bottom: 6px;
}

#song_history .history_item .spotify_link {
    color: white;
    font-size: 1.5em;
    position: absolute;
    right: 4px;
    bottom: 8px;
    vertical-align: middle;
    z-index: 2;
    opacity: 0.8;
    transition: color 0.3s ease;
}

#song_history .history_item .spotify_link:hover {
    color: #1DB954;
}

#song_history .history_bg {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
    top:0;
    left:0;
    opacity: 0.23;
    overflow: hidden;
    pointer-events: none;
}

#song_history .history_bg img {
    width: 100%;
    top: 50%;
    position: absolute;
    transform: translateY(-50%);
    user-select: none;
}

#song_history .history_bg img:first-of-type {
    z-index:2;
}

#song_history .history_item .history_art {
    width: 58px;
    height: 58px;
    display: inline-block;
    float: left;
    overflow: hidden;
    z-index: 2;
    position: relative;
}

#song_history .history_item .history_art img {
    width: 100%;
    top: 50%;
    position: absolute;
    transform: translateY(-50%);
}

#song_history .history_item .history_art img:first-of-type {
    z-index:2;
}

#song_history .history_item .history_info {
    margin-left: 10px;
    margin-top: 10px;
    display: inline-block;
    z-index: 2;
    position: relative;
}

#song_history .history_item .history_info .history_artist {
    font-weight: bold;
}

#song_history .history_item:not(.small) .history_info .history_title {
    background: url('images/audioplaying.gif') left no-repeat;
    background-position-y: 2px;
    padding-left: 20px;
}

#song_history .history_item.small .history_art {
    height: auto;
    text-align: center;
    margin-top: 3px;
    margin-bottom: 3px;
}

#song_history .history_item.small .history_info {
    margin-top: 3px;
    margin-bottom: 3px;
    position: absolute;
}

/** New Contact Studio **/

.contact_studio {
    position: absolute;
    right: 0px;
    bottom: 22px;
    z-index: 5;
    text-align: center;
}

.contact_button {
    border-radius: 50%;
    height: 36px;
    width: 36px;
    background-color: #009fd3;
    color: white;
    text-align: center;
    display: inline-block;
    margin-left: 6px;
    margin-right: 6px;
    margin-top: 7px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.contact_button:hover {
    background-color: #017db7;
}

.contact_button i {
    position: relative;
    top: 9px;
    font-size: 1.4em;
}

.contact_studio h1 {
    background-color: #009fd3;

}

.cctrack{margin-bottom:4px;overflow:hidden}.cctrack .cccover{background-color:#FFF;border:1px solid #c6c6c6;float:left;margin-right:8px;clear:left;padding:2px}.cctrack .ccdetails_withcover{margin-left:68px;margin-top: 18px;}.cctrack .cctitle{color:#a8a8a8}.cctrack .ccnowplaying{font-weight:700}.cctrack .ccartist{color:#686868;margin-bottom:4px}.cctrack .ccalbum{color:#888;font-size:10px;margin-bottom:4px}.cctrack a.ccbuy,.cctrack a.ccbuy:link,.cctrack a.ccbuy:active,.cctrack a.ccbuy:visited,.cctrack a.ccbuy:hover{color:#919191;text-decoration:none;font-weight:400}.cctrack a.ccbuy:hover{text-decoration:underline}.cctrack .cctime{display:none}



